From: Thomas Gummerer <t.gummerer@gmail•com>
To: git@vger•kernel.org
Cc: "Thomas Gummerer" <t.gummerer@gmail•com>,
"Junio C Hamano" <gitster@pobox•com>,
"Nguyễn Thái Ngọc Duy" <pclouds@gmail•com>
Subject: [PATCH] t1501: fix test with split index
Date: Tue, 24 Mar 2015 18:35:01 +0100 [thread overview]
Message-ID: <1427218501-4644-1-git-send-email-t.gummerer@gmail.com> (raw)
t1501-worktree.sh does not copy the shared index in the "relative
$GIT_WORK_TREE and git subprocesses" test, which makes the test fail
when GIT_TEST_SPLIT_INDEX is set. Copy the shared index as well in
order to fix this.
Signed-off-by: Thomas Gummerer <t.gummerer@gmail•com>
---
This applies on top of nd/multiple-work-trees. Sorry for not catching it
earlier, but I haven't tried to run the test-suite for the next branch
then, where this appears.
t/t1501-worktree.sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/t/t1501-worktree.sh b/t/t1501-worktree.sh
index 4df7a2f..ce5c654 100755
--- a/t/t1501-worktree.sh
+++ b/t/t1501-worktree.sh
@@ -350,6 +350,7 @@ test_expect_success 'Multi-worktree setup' '
mkdir work &&
mkdir -p repo.git/repos/foo &&
cp repo.git/HEAD repo.git/index repo.git/repos/foo &&
+ ( cp repo.git/sharedindex.* repo.git/repos/foo 2>/dev/null || : ) &&
sane_unset GIT_DIR GIT_CONFIG GIT_WORK_TREE
'
--
2.1.0.264.g0463184.dirty
next reply other threads:[~2015-03-24 17:39 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-03-24 17:35 Thomas Gummerer [this message]
2015-03-24 17:58 ` [PATCH] t1501: fix test with split index Junio C Hamano
2015-03-24 19:21 ` [PATCH v2] " Thomas Gummerer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1427218501-4644-1-git-send-email-t.gummerer@gmail.com \
--to=t.gummerer@gmail$(echo .)com \
--cc=git@vger$(echo .)kernel.org \
--cc=gitster@pobox$(echo .)com \
--cc=pclouds@gmail$(echo .)com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox